Bug 117566 - Printer fails after adding of (TTF) fonts
Printer fails after adding of (TTF) fonts
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-03-05 08:50 EST by Robert Zaichkowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-09 15:08:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Zaichkowski 2004-03-05 08:50:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7a)

Description of problem:
The printer (Epson Stylus C62) has been set up by using the KDE Print
Manager and Red Hat's Print Manager in Fedora Core 2 Test 1.  At
first, the printer was fine when I left the original font repertoire
as is.  Then I decided to add some TrueType fonts and no matter what
fonts I added, it caused the printer to fail in every application
(causing EggCups to crash or something).  In KDE-based applications,
it caused the print preview to appear as blank.  Removing these fonts
would most likely not solve the problem and because of this, I had to
return to MandrakeLinux 9.0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set up the printer drivers via KDE Print Manager or Red Hat's Print
2.Add a few random TrueType fonts.
3.Try to print a document in any application.

Actual Results:  The print icon appears in the system tray and
disappears within 5 seconds.  As for the printer, it would not print
the requested document.

Expected Results:  The printer should have printed the document as
usual while the print icon is displayed and then disappear as soon as
the print job is completed.

Additional info:
Comment 1 Tim Waugh 2004-03-05 08:54:33 EST
What you are describing sounds like several different problems;
unfortunately you forgot to mention the *most* important things, the
version numbers of the packages you are using.

So, which versions do you have of:


You also didn't say how you added fonts to the system, or what
settings the printer queue had.  It will be much simpler if you pick
one method for doing each and we can analyse that.
Comment 2 Tim Waugh 2004-03-05 08:55:41 EST
Changing component: no such package as redhat-config-printer any more.
Comment 3 Robert Zaichkowski 2004-03-06 20:31:46 EST
The dbus, cups, and desktop-printing versions are the ones that come
with Fedora Core 2 Test 1 by default, but since I am back to Mandrake
9.0, I cannot give you that information.  But if you didn't upgrade
any packages via Up2Date, then you'll be able to find out what
versions I'm talking about.  As for how I added the fonts, I simply
used the file manager (Konqueror) and copied the TTF fonts to the
fonts:/ folder.  The settings for the printer are default settings
except for colour output (360 by 360 dpi resolution, greyscale, US
Letter, Four Colour Standard ink cartridges).  Both methods for
setting up the printer I found were just about identical.
Comment 4 Tim Waugh 2004-03-09 10:10:54 EST
So you can't test things now?
Comment 5 Robert Zaichkowski 2004-03-09 15:05:46 EST
Sorry, I am unable to test things at this time.

Note You need to log in before you can comment on or make changes to this bug.